import { Logger } from "../lib/lambda-logger";
export declare class ApigeeApiService {
    private accessToken;
    private apigeeAccessTokenUrl;
    private apigeeAccessTokenUrlResetKey;
    private apigeeBaseUrl;
    private apigeeSecretResetUrl;
    log: Logger;
    constructor();
    generateAccessToken(username: any, password: any, isResetKeyOperation: boolean): Promise<any>;
    deleteCurrentClienId(appName: string, clientId: string): Promise<any>;
    createNewClientId(appName: string, clientId: string, newSecret: string): Promise<any>;
    addApiProductsToClientId(appName: string, clientId: string, products: string[]): Promise<any>;
    updateAppAttribute(appName: string, attributeName: string, attributeValue: string): Promise<any>;
    resetClientSecret(clienId: string, encryptedSecret: string): Promise<any>;
    createTargetServer(serverName: string, targetHostname: string, env: any): Promise<any>;
    updateTargetServer(serverName: string, targetHostname: string, env: any): Promise<any>;
    getProxyDetails(name: string): Promise<any>;
    deployProxy(name: string, env: any, revision: string): Promise<any>;
    getProductDetails(name: string): Promise<any>;
    getStatistics(select: string, timeRange: string, timeUnit: string, proxyName: string, env: string): Promise<any>;
    deployProduct(name: string, payload: any, env: any): Promise<any>;
    updateProduct(name: string, payload: any): Promise<any>;
    createProduct(displayName: any, shortName: any, description: any, env: any, attributes: any): Promise<any>;
    createApiProxyPackage(productName: any): Promise<unknown>;
    importApiProxy(shortName: any): Promise<any>;
    getAppDetails(name: string): Promise<any>;
    createApp(displayName: any, shortName: any): Promise<any>;
    AddKvmEntry(name: string, appType: any, secretRotationOptIn: any, secretPath: any, clientId: string, env: any, tenantId: string, tokenExpiryTime: string): Promise<any>;
    DeleteKvmEntry(name: string, env: any): Promise<any>;
    getKvmEntry(name: string, env: any): Promise<any>;
    private makeApigeeApiRequest;
}
